Package org.drinkless.tdlib

# Class TdApi.ForumTopic

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ForumTopic

Enclosing class:
  `TdApi`

public static class TdApi.ForumTopic extends TdApi.Object
Describes a forum topic.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.DraftMessage`
  `draftMessage`
  A draft of a message in the topic; may be null if none.
  `TdApi.ForumTopicInfo`
  `info`
  Basic information about the topic.
  `boolean`
  `isPinned`
  True, if the topic is pinned in the topic list.
  `TdApi.Message`
  `lastMessage`
  Last message in the topic; may be null if unknown.
  `long`
  `lastReadInboxMessageId`
  Identifier of the last read incoming message.
  `long`
  `lastReadOutboxMessageId`
  Identifier of the last read outgoing message.
  `TdApi.ChatNotificationSettings`
  `notificationSettings`
  Notification settings for the topic.
  `long`
  `order`
  A parameter used to determine order of the topic in the topic list.
  `int`
  `unreadCount`
  Number of unread messages in the topic.
  `int`
  `unreadMentionCount`
  Number of unread messages with a mention/reply in the topic.
  `int`
  `unreadPollVoteCount`
  Number of messages with unread poll votes in the topic.
  `int`
  `unreadReactionCount`
  Number of messages with unread reactions in the topic.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForumTopic()`
  Describes a forum topic.
  `ForumTopic(TdApi.ForumTopicInfo info, TdApi.Message lastMessage, long order, boolean isPinned, int unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, int unreadMentionCount, int unreadReactionCount, int unreadPollVoteCount, TdApi.ChatNotificationSettings notificationSettings, TdApi.DraftMessage draftMessage)`
  Describes a forum topic.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### info

    public TdApi.ForumTopicInfo info
    Basic information about the topic.

  - ### lastMessage

    @Nullable public TdApi.Message lastMessage
    Last message in the topic; may be null if unknown.

  - ### order

    public long order
    A parameter used to determine order of the topic in the topic list. Topics must be sorted by the order in descending order.

  - ### isPinned

    public boolean isPinned
    True, if the topic is pinned in the topic list.

  - ### unreadCount

    public int unreadCount
    Number of unread messages in the topic.

  - ### lastReadInboxMessageId

    public long lastReadInboxMessageId
    Identifier of the last read incoming message.

  - ### lastReadOutboxMessageId

    public long lastReadOutboxMessageId
    Identifier of the last read outgoing message.

  - ### unreadMentionCount

    public int unreadMentionCount
    Number of unread messages with a mention/reply in the topic.

  - ### unreadReactionCount

    public int unreadReactionCount
    Number of messages with unread reactions in the topic.

  - ### unreadPollVoteCount

    public int unreadPollVoteCount
    Number of messages with unread poll votes in the topic.

  - ### notificationSettings

    public TdApi.ChatNotificationSettings notificationSettings
    Notification settings for the topic.

  - ### draftMessage

    @Nullable public TdApi.DraftMessage draftMessage
    A draft of a message in the topic; may be null if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ForumTopic

    public ForumTopic()
    Describes a forum topic.

  - ### ForumTopic

    public ForumTopic(TdApi.ForumTopicInfo info, TdApi.Message lastMessage, long order, boolean isPinned, int unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, int unreadMentionCount, int unreadReactionCount, int unreadPollVoteCount, TdApi.ChatNotificationSettings notificationSettings, TdApi.DraftMessage draftMessage)
    Describes a forum topic.
    Parameters:
      `info` - Basic information about the topic.
      `lastMessage` - Last message in the topic; may be null if unknown.
      `order` - A parameter used to determine order of the topic in the topic list. Topics must be sorted by the order in descending order.
      `isPinned` - True, if the topic is pinned in the topic list.
      `unreadCount` - Number of unread messages in the topic.
      `lastReadInboxMessageId` - Identifier of the last read incoming message.
      `lastReadOutboxMessageId` - Identifier of the last read outgoing message.
      `unreadMentionCount` - Number of unread messages with a mention/reply in the topic.
      `unreadReactionCount` - Number of messages with unread reactions in the topic.
      `unreadPollVoteCount` - Number of messages with unread poll votes in the topic.
      `notificationSettings` - Notification settings for the topic.
      `draftMessage` - A draft of a message in the topic; may be null if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR